Bug 866417 - iwlwifi rmmod crash after roaming
iwlwifi rmmod crash after roaming
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Stanislaw Gruszka
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 06:22 EDT by Stanislaw Gruszka
Modified: 2013-03-21 04:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.32-337.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:50:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start_test.sh (185 bytes, text/plain)
2012-10-15 06:36 EDT, Stanislaw Gruszka
no flags Details
test-roam2 (2.58 KB, text/plain)
2012-10-15 06:36 EDT, Stanislaw Gruszka
no flags Details

  None (edit)
Description Stanislaw Gruszka 2012-10-15 06:22:05 EDT
Description of problem:

<1>BUG: unable to handle kernel paging request at ffffffffa04d6040
<1>IP: [<ffffffffa04d6040>] 0xffffffffa04d6040
<4>PGD 1a87067 PUD 1a8b063 PMD 147db9067 PTE 0
<4>Oops: 0010 [#1] SMP 
<4>last sysfs file: /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
<4>CPU 0 
<4>Modules linked in: aesni_intel cryptd aes_x86_64 aes_generic autofs4 sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf ipv6 uinput arc4 microcode sg i2c_i801 
e1000e iTCO_wdt iTCO_vendor_support shpchp ext4 mbcache jbd2 sd_mod crc_t10dif sr_mod cdrom ahci i915 drm_kms_helper drm i2c_algo_bit i2c_core video output dm_mirror
 dm_region_hash dm_log dm_mod [last unloaded: rfkill]
<4>
<4>Pid: 0, comm: swapper Not tainted 2.6.32-306.el6.sgruszka_03.x86_64 #1 Intel Corporation SandyBridge Platform/Emerald Lake
<4>RIP: 0010:[<ffffffffa04d6040>]  [<ffffffffa04d6040>] 0xffffffffa04d6040
<4>RSP: 0018:ffff88002c203e48  EFLAGS: 00010246
<4>RAX: ffff88002c203e90 RBX: ffffffff81ea7280 RCX: 0000000000000000
<4>RDX: 0000000000000100 RSI: dead000000200200 RDI: ffff8801472736e0
<4>RBP: ffff88002c203ed0 R08: ffffffff81ea7830 R09: 0000000000000001
<4>R10: 0000000000000000 R11: 00000000000001b2 R12: ffff880147273bf0
<4>R13: ffff88002c203e90 R14: ffff8801472736e0 R15: ffffffffa04d6040
<4>FS:  0000000000000000(0000) GS:ffff88002c200000(0000) knlGS:0000000000000000
<4>CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
<4>CR2: ffffffffa04d6040 CR3: 00000001484f7000 CR4: 00000000000406f0
<4>DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
<4>Process swapper (pid: 0, threadinfo ffffffff81a00000, task ffffffff81a8d020)
<4>Stack:
<4> ffffffff8107eb87 ffffffff810a2ea0 ffffffff81ea8ea0 ffffffff81ea8aa0
<4><d> ffffffff81ea86a0 ffffffff81a01fd8 ffffffff81a01fd8 0000010081012bd9
<4><d> ffffffff81ea82a0 ffff88002c213420 ffff88002c213420 ffffffff8102b78d
<4>Call Trace:
<4> <IRQ> 
<4> [<ffffffff8107eb87>] ? run_timer_softirq+0x197/0x340
<4> [<ffffffff810a2ea0>] ? tick_sched_timer+0x0/0xc0
<4> [<ffffffff8102b78d>] ? lapic_next_event+0x1d/0x30
<4> [<ffffffff810741d1>] __do_softirq+0xc1/0x1e0
<4> [<ffffffff81096eeb>] ? hrtimer_interrupt+0x14b/0x260
<4> [<ffffffff8100c24c>] call_softirq+0x1c/0x30
<4> [<ffffffff8100de85>] do_softirq+0x65/0xa0
<4> [<ffffffff81073fb5>] irq_exit+0x85/0x90
<4> [<ffffffff8150df20>] smp_apic_timer_interrupt+0x70/0x9b
<4> [<ffffffff8100bc13>] apic_timer_interrupt+0x13/0x20

Version-Release number of selected component (if applicable):
2.6.32-315 


How reproducible:
25%

Steps to Reproduce:
Perform roaming for some time and them remove iwlwifi module. This can be reproduced on intel-huronriver-01.lab.bos.redhat.com. Scripts will be attached.

1. start_test.sh
2. test-roam2
3. Ctrl-C
4. mopdrobe -r iwlwifi
  
Actual results:
Sometimes above procedure result a crash.
Comment 1 RHEL Product and Program Management 2012-10-15 06:31:10 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 2 Stanislaw Gruszka 2012-10-15 06:36:00 EDT
Created attachment 627292 [details]
start_test.sh
Comment 3 Stanislaw Gruszka 2012-10-15 06:36:39 EDT
Created attachment 627295 [details]
test-roam2
Comment 5 Jarod Wilson 2012-10-29 14:51:30 EDT
Patch(es) available on kernel-2.6.32-337.el6
Comment 10 errata-xmlrpc 2013-02-21 01:50:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.